Revoke a buyer agent channel binding
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBinding": {
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Agent Principals
Revoke a buyer agent channel binding
Revoke one active channel binding. The next inbound message is no longer delivered to the buyer agent.
DELETE
/
buyer-agent-principals
/
{principalId}
/
channel-bindings
/
{bindingId}
Revoke a buyer agent channel binding
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings/{bindingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBinding": {
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^prin_[A-Za-z0-9_-]{32}$Pattern:
^[1-9][0-9]{0,18}$